Package twisted :: Package conch :: Module authorizer :: Class OpenSSHConchAuthorizer |
[frames | no frames]

## Class OpenSSHConchAuthorizer

     Accessor --+
                |
       Authorizer --+
                    |
    DefaultAuthorizer --+
                        |
                       OpenSSHConchAuthorizer

Method Summary
`Deferred` | ``getIdentityRequest`(self, name)` Return a Deferred that will callback with an Identity for the given name.
Inherited from DefaultAuthorizer
| ``__init__`(self, serviceCollection)` Create a hash of identities.
| ``addIdentity`(self, identity)` Add an identity to me.
| ``removeIdentity`(self, identityName)`
Inherited from Authorizer
| ``createIdentity`(self, name)` Create an identity of an appropriate type for this Authorizer.
| ``get_application`(self)`
| ``getServiceNamed`(self, name)`
| ``setApplication`(self, app)` Set the application for this authorizer.
| ``setServiceCollection`(self, collection)` Set the service collection for this authorizer.
Inherited from Accessor
| ``__delattr__`(self, k)`
| ``__getattr__`(self, k)`
| ``__setattr__`(self, k, v)`
| ``reallyDel`(self, k)` *actually* del self.k without incurring side-effects.
| ``reallySet`(self, k, v)` *actually* set self.k to v without incurring side-effects.

Instance Variable Summary
Inherited from Authorizer
`_AbstractServiceCollection` | `serviceCollection`: The set of services that are using this authorizer.

Class Variable Summary
`class` | `identityClass` = `twisted.conch.identity.OpenSSHConchIdentity`

Method Details

### getIdentityRequest(self, name) Return a Deferred that will callback with an Identity for the given name. For the purposes of Conch, this should always callback with an Identity to prevent attackers from learning what users are valid and which aren't. Parameters: `name` (type=`str`) Returns: `Deferred` Overrides: `twisted.cred.authorizer.DefaultAuthorizer.getIdentityRequest`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:49 2003 | http://epydoc.sf.net